<div id="variantTab">
  <v-card class="elevation-0 pa-2 mt-2 mb-6">
    <p class="mb-0 fsize-18 lightContentPrimary">Product Variants</p>
    <div class="mt-4" v-if="listVariant.length">
      <v-row>
        <v-col cols="12" sm="2">
          <p class="mb-0 mt-2 fsize-15 font-weight-bold">Select</p>
        </v-col>
        <v-col cols="12" sm="10">
          <div>
            <v-btn text color="#076CE3" @click="onHandleVariantSelect('all')">
              <p class="mb-0 fsize-15 text-none lightContentBlue">
                All Variants
              </p>
            </v-btn>
            <v-btn text color="#076CE3" @click="onHandleVariantSelect('none')">
              <p class="mb-0 fsize-15 text-none lightContentBlue">None</p>
            </v-btn>
          </div>
          <div>
            <div
              v-for="(item, idx) in listVariantOption"
              :key="idx"
              class="flex items-center flex-wrap"
            >
              <div
                class="border-variant pa-2 mr-1 mt-2"
                v-for="(element, i) in item.values"
                :key="i"
                @click="onHandleVariantSelected(element)"
                :class="selectActive(element) ? 'isActive' : ''"
              >
                <p class="mb-0 fsize-14">{{element}}</p>
              </div>
            </div>
          </div>
        </v-col>
      </v-row>
    </div>

    <div class="mt-4" v-if="listVariantIds.length">
      <v-menu
        :close-on-content-click="false"
        left
        :nudge-bottom="10"
        transition="scale-transition"
        offset-y
      >
        <template v-slot:activator="{ on, attrs }">
          <v-btn color="blue" outlined v-bind="attrs" v-on="on">
            <span class="text-none">
              Edit {{listVariantIds.length}} selected variants
            </span>
          </v-btn>
        </template>
        <div class="white fwidth">
          <div
            class="py-2 px-4 cursor-pointer hover:bg-slate-200"
            @click="onSelectImage('isImageVariant')"
          >
            Choose Image
          </div>
          <div
            class="py-2 px-4 cursor-pointer hover:bg-slate-200"
            @click="openDialogEditVariant()"
          >
            Edit field
          </div>
        </div>
      </v-menu>
    </div>
    <div class="mt-4">
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTable"
      >
      </v-skeleton-loader>
      <v-simple-table
        class="scrollTable c-pointer"
        fixed-header
        v-else
        style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
      >
        <template v-slot:default>
          <thead>
            <tr>
              <th>
                <div style="width: 140px !important">
                  <div class="d-flex align-center">
                    <div>
                      <div id="checkbox">
                        <v-checkbox
                          v-model="selectedAllVariant"
                          class="pl-3"
                        ></v-checkbox>
                      </div>
                    </div>
                    <p class="mb-0 fsize-13 colorGreyHeaderTable">Variant</p>
                  </div>
                </div>
              </th>
              <th class="text-left">
                <div style="width: 60px">
                  <p class="mb-0 fsize-13 colorGreyHeaderTable">Image</p>
                </div>
              </th>
              <th class="text-left">
                <div style="width: 90px !important">
                  <p class="mb-0 fsize-13 colorGreyHeaderTable">Price</p>
                </div>
              </th>
              <th class="text-left">
                <div style="width: 100px !important">
                  <p class="mb-0 fsize-13 colorGreyHeaderTable">Compare Cost</p>
                </div>
              </th>
              <th class="text-left">
                <div style="width: 90px !important">
                  <p class="mb-0 fsize-13 colorGreyHeaderTable">Cost</p>
                </div>
              </th>
              <th class="text-left">
                <div style="width: 120px !important">
                  <p class="mb-0 fsize-13 colorGreyHeaderTable">SKU</p>
                </div>
              </th>
              <th class="text-left"></th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(variant,i) in listVariant" :key="i">
              <td class="py-2">
                <div class="d-flex align-center">
                  <v-checkbox
                    v-model="listVariantIds"
                    :value="variant.listValue.join(' / ')"
                    class="pl-3"
                  >
                  </v-checkbox>
                  <p class="mb-0">{{variant.listValue.join(" / ")}}</p>
                </div>
              </td>
              <td class="py-2">
                <div
                  class="w-10 h-10 d-flex align-center justify-center c-pointer rounded-lg overflow-hidden"
                  @click="openDialogMediaPicker(variant)"
                >
                  <img
                    class="w-full h-full"
                    :src="convertImage(variant.imageId?.imageUrl)"
                    alt=""
                    v-if="variant.imageId?.imageUrl"
                  />
                  <img
                    src="~/assets/images/thumbnails-image.png"
                    alt=""
                    width="13"
                    height="13"
                    v-else
                  />
                </div>
                <div>
                  <p class="mb-0 fsize-14"></p>
                </div>
              </td>
              <td class="py-2">
                <div id="hideBottomInput">
                  <v-text-field
                    dense
                    outlined
                    v-model="variant.price"
                    prefix="$"
                    placeholder="Enter price"
                    v-debounce:300ms="onSetVariant"
                  >
                  </v-text-field>
                </div>
              </td>
              <td class="py-2">
                <div id="hideBottomInput">
                  <v-text-field
                    dense
                    outlined
                    v-model="variant.comparePrice"
                    prefix="$"
                    placeholder="Enter compare price"
                    v-debounce:300ms="onSetVariant"
                  >
                  </v-text-field>
                </div>
              </td>
              <td class="py-2">
                <div id="hideBottomInput">
                  <p class="mb-0">{{variant.productCost}}</p>
                </div>
              </td>
              <td class="py-2">
                <div id="hideBottomInput">
                  <v-text-field
                    style="width: 160px"
                    dense
                    outlined
                    v-model.number="variant.sku"
                    placeholder="SKU"
                  >
                  </v-text-field>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </div>
  </v-card>
  <v-row justify="center">
    <v-dialog v-model="dialogMediaPicker" max-width="1200px">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Choose Photo</p>
          <v-btn color="#949494" @click="dialogMediaPicker  = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div>
          <MediaPicker
            :isShowUploadPhoto="true"
            :limitImage="limitImage"
            :dialogMediaPicker.sync="dialogMediaPicker"
            :imageVariant.sync="imageVariant"
            :isImageVariant.sync="isImageVariant"
            :imageAdd.sync="imageAdd"
            :isSelectMultipleImage.sync="isSelectMultipleImage"
            :tiptapWord.sync="tiptapWord"
            :imageId.sync="imageId"
          />
        </div>
        <div
          class="d-flex align-center justify-space-between"
          style="height: 76px"
        ></div>
      </v-card>
    </v-dialog>
  </v-row>
  <v-row justify="center">
    <v-dialog v-model="dialgoEditVariant" max-width="400px" color="#ffffff">
      <v-card class="pa-0" color="#ffffff">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Edit Variant</p>
          <v-btn color="#949494" @click="dialgoEditVariant  = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="mt-4 px-4 pb-4">
          <p class="mb-0">{{listVariantIds.length}} variants to edit</p>
          <div
            :style="listVariantIds.length >= 10 ? 'max-height: 200px; overflow-y: scroll' : ''"
          >
            <div
              v-for="(variant,i) in listVariantIds"
              :key="i"
              class="mt-4 px-6"
            >
              <p class="mb-0 fsize-14 mt-1">{{variant}}</p>
            </div>
          </div>
        </div>
        <div class="mt-4">
          <v-row no-gutters id="hideBottomInput">
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Price</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter price"
                v-model="variant.price"
              ></v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Compared Price</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter compared price"
                v-model="variant.comparePrice"
              >
              </v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <!-- <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">
                Product Cost
              </p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field dense outlined placeholder="Enter product cost" v-model.number="variant.productCost">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">
                Fulfilment Cost
              </p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field dense outlined placeholder="Enter fulfilment cost"
                v-model.number="variant.fullfillmentCost"></v-text-field>
            </v-col> -->
            <v-col cols="12" class="pt-3"> </v-col>
          </v-row>
          <div class="d-flex justify-end px-3 pt-3 pb-6">
            <v-btn color="blue" class="elevation-0" @click="onEditVariant()">
              <p class="mb-0 white--text">Submit</p>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
